# struct columnInfo

Used to get column information from a describe list More...

Full name | `toExtract::columnInfo`
Definition | `#include <toextract.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- columnInfo (const QString &name)
- bool operator < (const columnInfo &inf)
- bool operator == (const columnInfo &inf)

#### Public Members

- QString Name
- QString Definition
- std::map<QString,QString> Data
- int Order

## Detailed Description

Used to get column information from a describe list

QString Name

### Name

QString Definition

### Definition

std::map<QString,QString> Data

### Data

int Order

### Order

columnInfo (const QString &name)

### columnInfo

Create column information from name.

bool operator < (const columnInfo &inf)

### operator <

Implement sort order based only on Order field.

bool operator == (const columnInfo &inf)

### operator ==

Implement sort order based only on Order field.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.